/*
* Licensed to the Apache Software Foundation (ASF) under one
* or more contributor license agreements. See the NOTICE file
* distributed with this work for additional information
* regarding copyright ownership. The ASF licenses this file
* to you under the Apache License, Version 2.0 (the
* "License"); you may not use this file except in compliance
* with the License. You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing,
* software distributed under the License is distributed on an
* "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
* KIND, either express or implied. See the License for the
* specific language governing permissions and limitations
* under the License.
*/ 

-- WSO2 METERING DATABASE SQL FOR MySQL

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

SET AUTOCOMMIT=0;
START TRANSACTION;

--
-- TABLES
--

CREATE TABLE IF NOT EXISTS USAGE_HOURLY_ANALYTICS (
        ID VARCHAR(200) NOT NULL,
        HOUR_FACT TIMESTAMP,
        SERVER_NAME VARCHAR(100),
        TENANT_ID VARCHAR(50),
        PAYLOAD_TYPE VARCHAR(50),
        PAYLOAD_VALUE  BIGINT,
        PRIMARY KEY (`ID`)
) ENGINE=INNODB;

CREATE TABLE IF NOT EXISTS USAGE_DAILY_ANALYTICS (
        ID VARCHAR(200) NOT NULL,
        DAY_FACT TIMESTAMP,
        SERVER_NAME VARCHAR(100),
        TENANT_ID VARCHAR(50),
        PAYLOAD_TYPE VARCHAR(50),
        PAYLOAD_VALUE  BIGINT,
        PRIMARY KEY (`ID`)
) ENGINE=INNODB;

CREATE TABLE IF NOT EXISTS USAGE_MONTHLY_ANALYTICS (
        ID VARCHAR(200) NOT NULL,
        MONTH_FACT TIMESTAMP,
        SERVER_NAME VARCHAR(100),
        TENANT_ID VARCHAR(50),
        PAYLOAD_TYPE VARCHAR(50),
        PAYLOAD_VALUE  BIGINT,
        PRIMARY KEY (`ID`)
) ENGINE=INNODB;

CREATE TABLE IF NOT EXISTS USAGE_LAST_HOURLY_TS (
	ID VARCHAR(200) NOT NULL,
	TIMESTMP TIMESTAMP,
	PRIMARY KEY (`ID`)
) ENGINE=INNODB;
	
CREATE TABLE IF NOT EXISTS USAGE_LAST_DAILY_TS (
	ID VARCHAR(200) NOT NULL,
	TIMESTMP TIMESTAMP,
	PRIMARY KEY (`ID`)
) ENGINE=INNODB;

CREATE TABLE IF NOT EXISTS USAGE_LAST_MONTHLY_TS (
	ID VARCHAR(200) NOT NULL,
	TIMESTMP TIMESTAMP,
	PRIMARY KEY (`ID`)
) ENGINE=INNODB;

CREATE TABLE IF NOT EXISTS SERVICE_STATS_HOURLY_ANALYTICS (
	ID VARCHAR(200) NOT NULL,
	HOUR_FACT TIMESTAMP,
	SERVER_NAME VARCHAR(100),
	TENANT_ID VARCHAR(50),
	REQUEST_COUNT BIGINT,
	RESPONSE_COUNT BIGINT,
	FAULT_COUNT BIGINT,
	PRIMARY KEY (`ID`)
) ENGINE=INNODB;

CREATE TABLE IF NOT EXISTS SERVICE_STATS_DAILY_ANALYTICS (
	ID VARCHAR(200) NOT NULL,
	DAY_FACT TIMESTAMP,
	SERVER_NAME VARCHAR(100),
	TENANT_ID VARCHAR(50),
	REQUEST_COUNT BIGINT,
	RESPONSE_COUNT BIGINT,
	FAULT_COUNT BIGINT,
	PRIMARY KEY (`ID`)
) ENGINE=INNODB;

CREATE TABLE IF NOT EXISTS SERVICE_STATS_MONTHLY_ANALYTICS (
	ID VARCHAR(200) NOT NULL,
	MONTH_FACT TIMESTAMP,
	SERVER_NAME VARCHAR(100),
	TENANT_ID VARCHAR(50),
	REQUEST_COUNT BIGINT,
	RESPONSE_COUNT BIGINT,
	FAULT_COUNT BIGINT,
	PRIMARY KEY (`ID`)
) ENGINE=INNODB;

CREATE TABLE IF NOT EXISTS SERVICE_STATS_LAST_HOURLY_TS (
	ID VARCHAR(200) NOT NULL,
	TIMESTMP TIMESTAMP,
	PRIMARY KEY (`ID`)
) ENGINE=INNODB;
	
CREATE TABLE IF NOT EXISTS SERVICE_STATS_LAST_DAILY_TS (
	ID VARCHAR(200) NOT NULL,
	TIMESTMP TIMESTAMP,
	PRIMARY KEY (`ID`)
) ENGINE=INNODB;

CREATE TABLE IF NOT EXISTS SERVICE_STATS_LAST_MONTHLY_TS (
	ID VARCHAR(200) NOT NULL,
	TIMESTMP TIMESTAMP,
	PRIMARY KEY (`ID`)
) ENGINE=INNODB;

CREATE TABLE IF NOT EXISTS REGISTRY_USAGE_HOURLY_ANALYTICS ( 
	ID VARCHAR(50),
	TENANT_ID VARCHAR(50),	
	HISTORY_USAGE BIGINT,
	CURRENT_USAGE BIGINT,
	PRIMARY KEY (`ID`)
) ENGINE=INNODB;

CREATE TABLE IF NOT EXISTS CARTRIDGE_STATS_HOURLY_ANALYTICS (
        HOUR_FACT TIMESTAMP,
        TENANT_ID VARCHAR(50),
	CARTRIDGE_TYPE VARCHAR(20),
	IMAGE_ID VARCHAR(100),
	NODE_ID VARCHAR(100),
	DURATION_HOURS INT(5),
        PRIMARY KEY (`NODE_ID`)
) ENGINE=INNODB;

CREATE TABLE IF NOT EXISTS CARTRIDGE_STATS_LAST_HOURLY_TS (
        ID VARCHAR(200) NOT NULL,
        TIMESTMP TIMESTAMP,
        PRIMARY KEY (`ID`)
) ENGINE=INNODB;

CREATE TABLE IF NOT EXISTS CARTRIDGE_STATS_LAST_DAILY_TS (
        ID VARCHAR(200) NOT NULL,
        TIMESTMP TIMESTAMP,
        PRIMARY KEY (`ID`)
) ENGINE=INNODB;

CREATE TABLE IF NOT EXISTS CARTRIDGE_STATS_LAST_MONTHLY_TS (
        ID VARCHAR(200) NOT NULL,
        TIMESTMP TIMESTAMP,
        PRIMARY KEY (`ID`)
) ENGINE=INNODB;
 

COMMIT;

